//Clip plane pixel shader - samples the texture for the geometry, clipping parts of the geometry outwith the clip plane

Texture2D texture0 : register(t0);
SamplerState Sampler0 : register(s0);

struct InputType
{
	float4 position : SV_POSITION;
	float2 tex : TEXCOORD0;
	float clip : SV_ClipDistance0;
};

float4 main(InputType input) : SV_TARGET
{
	return texture0.Sample(Sampler0, input.tex);
}